Name:		gforth
Version:	0.7.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
Summary:	GNU Forth
Url:		http://www.jwdt.com/~paysan/gforth.html
Source:		http://www.complang.tuwien.ac.at/forth/gforth/%{name}-%{version}.tar.gz
Source16:	gnu-forth.16.png
Source32:	gnu-forth.32.png
Source48:	gnu-forth.48.png
Patch0:		gforth-0.7.0-buildpath.patch
Patch1:		gforth-0.7.0-shebang.patch
BuildRoot:	%_tmppath/%name-%version-%release
BuildRequires:	emacs-bin

%description
Gforth is a fast and portable implementation of the ANS Forth language. 

%prep 
%setup -q
%patch0 -p1
%patch1 -p1

iconv -f latin1 -t utf8 AUTHORS > AUTHORS.new
mv -f AUTHORS.new AUTHORS

%build
%configure2_5x 
make

%install
rm -rf $RPM_BUILD_ROOT

%{__install} -d %{buildroot}/usr/share/emacs/site-lisp

%makeinstall_std

# icon section
install -D %SOURCE16 %buildroot/%_miconsdir/gnu-forth.png
install -D %SOURCE32 %buildroot/%_iconsdir/gnu-forth.png
install -D %SOURCE48 %buildroot/%_liconsdir/gnu-forth.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=GNU Forth
Exec=%{name} 
Icon=gnu-forth
Terminal=false
Type=Application
Categories=Development;Building;
EOF


%post
%if %mdkversion < 200900
%{update_menus}
%endif
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root, root)
%doc README README.vmgen NEWS NEWS.vmgen AUTHORS BUGS

%_bindir/*
%_libdir/%name
%_datadir/%name
%_datadir/emacs/site-lisp/gforth.el
%_datadir/emacs/site-lisp/gforth.elc
%{_includedir}/%{name}/%{version}/*.h
%_mandir/man1/*
%_infodir/*
%_iconsdir/*
%_datadir/applications/*


%changelog
* Mon Aug 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 420535
- Update to version 0.7.0
- Include Fedora patches (fixes path in shebang and remove build path
  from binary)
- Convert AUTHORS to UTF-8 (Fedora)
- Supports DESTDIR for make install now, so use %%makeinstall_std
- Don't list icons twice in file list
- Fix license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix 'error: for key "Icon" in group "Desktop Entry" is an icon name with an
      extension, but there should be no extension as described in the Icon Theme
      Specification if the value is not an absolute path'
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.6.2-4mdv2008.0
+ Revision: 76662
- BR emacs
- bunzip the images
- drop old menu
- fix comment of menu entry
- Import gforth



* Thu Aug 10 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-3mdv2007.0
- xdg

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 0.6.2-2mdk
- rebuild

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- rebuild

* Thu Jun 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- fix pb with sources

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- clean spec
